# DataExchange
TKSTEP
StepAP214

# StepAP214_AppliedPresentedItem Class Reference

`#include <StepAP214_AppliedPresentedItem.hxx>`

Inheritance diagram for StepAP214_AppliedPresentedItem:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AppliedPresentedItem ()
| Returns a AutoDesignPresentedItem .
virtual Standard_EXPORT void | Init (const Handle(StepAP214_HArray1OfPresentedItemSelect)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfPresentedItemSelect)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfPresentedItemSelect | Items () const
Standard_EXPORT StepAP214_PresentedItemSelect | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfPresentedItemSelect | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AppliedPresentedItem::StepAP214_AppliedPresentedItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AppliedPresentedItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepVisual_PresentedItem.

virtual Standard_EXPORT void StepAP214_AppliedPresentedItem::Init | ( | const Handle(StepAP214_HArray1OfPresentedItemSelect)& | aItems | ) | `[virtual]`

Standard_EXPORT Handle_StepAP214_HArray1OfPresentedItemSelect StepAP214_AppliedPresentedItem::Items | ( |  | ) | const

Standard_EXPORT StepAP214_PresentedItemSelect StepAP214_AppliedPresentedItem::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AppliedPresentedItem::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AppliedPresentedItem::SetItems | ( | const Handle(StepAP214_HArray1OfPresentedItemSelect)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfPresentedItemSelect StepAP214_AppliedPresentedItem::items `[private]`

The documentation for this class was generated from the following file:

- StepAP214_AppliedPresentedItem.hxx